        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:48 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE ONE_WAY_DOUBLE_LAGUERRE__genmod
          INTERFACE 
            SUBROUTINE ONE_WAY_DOUBLE_LAGUERRE(AN,N,H,HZ,PFFT1,PFFT2)
              INTEGER(KIND=4), INTENT(IN) :: N
              REAL(KIND=8) :: AN(0:N)
              REAL(KIND=8), INTENT(IN) :: H
              REAL(KIND=8), INTENT(IN) :: HZ
              INTEGER(KIND=8) :: PFFT1
              INTEGER(KIND=8) :: PFFT2
            END SUBROUTINE ONE_WAY_DOUBLE_LAGUERRE
          END INTERFACE 
        END MODULE ONE_WAY_DOUBLE_LAGUERRE__genmod
